package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcZbxq;
import org.apache.ibatis.annotations.Param;

/**
 *  转办量、转办详情Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcZbxqMapper 
{
    /**
     * 查询 转办量、转办详情
     * 
     * @param id  转办量、转办详情主键
     * @return  转办量、转办详情
     */
    public TcZbxq selectTcZbxqById(Long id);

    /**
     * 查询 转办量、转办详情列表
     * 
     * @param tcZbxq  转办量、转办详情
     * @return  转办量、转办详情集合
     */
    public List<TcZbxq> selectTcZbxqList(TcZbxq tcZbxq);

    /**
     * 新增 转办量、转办详情
     * 
     * @param tcZbxq  转办量、转办详情
     * @return 结果
     */
    public int insertTcZbxq(TcZbxq tcZbxq);

    /**
     * 修改 转办量、转办详情
     * 
     * @param tcZbxq  转办量、转办详情
     * @return 结果
     */
    public int updateTcZbxq(TcZbxq tcZbxq);

    /**
     * 删除 转办量、转办详情
     * 
     * @param id  转办量、转办详情主键
     * @return 结果
     */
    public int deleteTcZbxqById(Long id);

    /**
     * 批量删除 转办量、转办详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcZbxqByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
